<ng-template #newTask let-c="close" let-d="dismiss">
  <div *ngIf="repository" fxFlex="row" fxLayoutAlign="center center">
    <span class="raamHintText bigText">{{repository.name}}</span>
  </div>

  <div class="modalContainer" fxFlex="row" fxLayoutAlign="center center">
    <div fxLayout="column" fxLayoutAlign="center center">
      <span [class]="'fa fa-file fa-8x ' + fileGenWorked"></span>
      <div fxLayout="row" fxLayoutAlign="center center">
        <span class="raamHintText bigText">Generation</span>
        <div fxFlexOffset="15"></div>
        <span *ngIf="fileGenWorked === undefined" class="raamHintText fa fa-spinner fa-2x fa-spin"></span>
        <span *ngIf="fileGenWorked === true" class="fa fa-check fa-2x"></span>
        <span *ngIf="fileGenWorked === false" class="fa fa-times fa-2x"></span>
      </div>
    </div>
  </div>


  <div class="modalContainer" fxFlex="row" fxLayoutAlign="space-between center">

    <div fxLayout="column" fxLayoutAlign="center center">
      <span [class]="'fa fa-database fa-8x ' + databaseWorked"></span>
      <div fxLayout="row" fxLayoutAlign="center center">
        <span class="raamHintText bigText">Database</span>
        <div fxFlexOffset="15"></div>
        <span *ngIf="databaseWorked === undefined" class="raamHintText fa fa-spinner fa-2x fa-spin"></span>
        <span *ngIf="databaseWorked === true" class="fa fa-check fa-2x"></span>
        <span *ngIf="databaseWorked === false" class="fa fa-times fa-2x"></span>
      </div>
    </div>

    <div fxFlexOffset="15"></div>

    <div fxLayout="column" fxLayoutAlign="center center">
      <span [class]="'fa fa-code-branch fa-8x ' + gitWorked"></span>
      <div fxLayout="row" fxLayoutAlign="center center">
        <span class="raamHintText bigText">Git</span>
        <div fxFlexOffset="15"></div>
        <span *ngIf="gitWorked === undefined" class="raamHintText fa fa-spinner fa-2x fa-spin"></span>
        <span *ngIf="gitWorked === true" class="fa fa-check fa-2x"></span>
        <span *ngIf="gitWorked === false" class="fa fa-times fa-2x"></span>
      </div>
    </div>
  </div>

  <div *ngIf="(!gitWorked && gitWorked !== undefined) || (!databaseWorked && databaseWorked !== undefined)"
       class="buttonContainer" fxFlex="row" fxLayoutAlign="center center">
  <span class="TODO">
    SHOW FAILURE REASON
  </span>
  </div>

  <div class="buttonContainer" fxFlex="row" fxLayoutAlign="center center">
    <button *ngIf="gitWorked && databaseWorked"
            class="btn btn-primary" (click)="routeToList()" fxFlexOffset="2">
      <span class="fa fa-bars"></span> TaskList
    </button>
    <button *ngIf="gitWorked && databaseWorked"
            class="btn btn-success" (click)="nextTask()" fxFlexOffset="2">
      <span class="fa fa-plus"></span> new Task
    </button>
    <button *ngIf="(!gitWorked && gitWorked !== undefined) || (!databaseWorked && databaseWorked !== undefined)
                    || (!fileGenWorked && fileGenWorked !== undefined)"
            class="btn btn-dark" (click)="retry()" fxFlexOffset="2">
      <span class="fa fa-sync"></span> Retry
    </button>
    <!--TODO make it possible to delete unfinished upload to eather side-->
    <button *ngIf="(!gitWorked && gitWorked !== undefined) || (!databaseWorked && databaseWorked !== undefined)
                    || (!fileGenWorked && fileGenWorked !== undefined)"
            class="btn btn-danger" (click)="delete()" fxFlexOffset="2">
      <span class="fa fa-trash"></span> Delete
    </button>
  </div>
</ng-template>
